package com.bocloud.cmp.model.kubernetes;

import java.util.Date;
import java.util.Map;

/**
 * @author 作者
 * @version 创建时间：2019年8月21日 上午10:43:18 类说明 Kubernetes node
 */
public class ServiceModel {
    private String instanceId;
    private String name;
    private String remark;
    private String status;
    private String apiVersion;
    private String kind;
    private String annotations;
    private Date gmtCreate;
    private Date creationTime;
    private String labels; // 标签
    private String namespace;
    private String clusterIp;
    private String ports;
    private String sessionAffinity; // 保持会话
    private String type; // 类型
    private String resourceKind;
    private String uid;
    private Map<String, String> labelsMap;
    private String yamlText;
    private Map<String, String> selectorMap;//
    private String selector;//
    private String internalEndpoint; // 内部端点
    private String externalEndpoints; // 外部端点
    private String serviceConfig;

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getApiVersion() {
        return apiVersion;
    }

    public void setApiVersion(String apiVersion) {
        this.apiVersion = apiVersion;
    }

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind;
    }

    public String getAnnotations() {
        return annotations;
    }

    public void setAnnotations(String annotations) {
        this.annotations = annotations;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    public String getNamespace() {
        return namespace;
    }

    public void setNamespace(String namespace) {
        this.namespace = namespace;
    }

    public String getClusterIp() {
        return clusterIp;
    }

    public void setClusterIp(String clusterIp) {
        this.clusterIp = clusterIp;
    }

    public String getPorts() {
        return ports;
    }

    public void setPorts(String ports) {
        this.ports = ports;
    }

    public String getSessionAffinity() {
        return sessionAffinity;
    }

    public void setSessionAffinity(String sessionAffinity) {
        this.sessionAffinity = sessionAffinity;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getYamlText() {
        return yamlText;
    }

    public void setYamlText(String yamlText) {
        this.yamlText = yamlText;
    }

    public Map<String, String> getSelectorMap() {
        return selectorMap;
    }

    public void setSelectorMap(Map<String, String> selectorMap) {
        this.selectorMap = selectorMap;
    }

    public String getInternalEndpoint() {
        return internalEndpoint;
    }

    public void setInternalEndpoint(String internalEndpoint) {
        this.internalEndpoint = internalEndpoint;
    }

    public String getExternalEndpoints() {
        return externalEndpoints;
    }

    public void setExternalEndpoints(String externalEndpoints) {
        this.externalEndpoints = externalEndpoints;
    }

    public String getResourceKind() {
        return resourceKind;
    }

    public void setResourceKind(String resourceKind) {
        this.resourceKind = resourceKind;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public Map<String, String> getLabelsMap() {
        return labelsMap;
    }

    public void setLabelsMap(Map<String, String> labelsMap) {
        this.labelsMap = labelsMap;
    }

    public String getServiceConfig() {
        return serviceConfig;
    }

    public void setServiceConfig(String serviceConfig) {
        this.serviceConfig = serviceConfig;
    }

    public String getSelector() {
        return selector;
    }

    public void setSelector(String selector) {
        this.selector = selector;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }
}
